#
# spec file for package python-diff-match-patch
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-diff-match-patch
Version:        20200713
Release:        1.12
Summary:        Repackaging of Google's Diff Match and Patch libraries
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/diff-match-patch-python/diff-match-patch
Source:         https://files.pythonhosted.org/packages/source/d/diff-match-patch/diff-match-patch-%{version}.tar.gz
# PATCH-FIX-OPENSUSE make-tests-runable.patch -- running tests is too complicated to put that into the specfile
Patch0:         make-tests-runable.patch
BuildRequires:  %{python_module setuptools >= 38.6.0}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Provides:       python-diff_match_patch
Obsoletes:      python-diff_match_patch
BuildArch:      noarch
%python_subpackages

%description
Offers algorithms to perform the operations required for synchronizing plain text

%prep
%setup -q -n diff-match-patch-%{version}
find . -name "*.py" -type f -exec sed -i '1s/^#!.*//' {} \+
%patch0 -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec -m unittest diff_match_patch.tests.run_all

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed Aug 19 2020 Matthias Fehring <buschmann23@opensuse.org>
- Update to version 20200713
  * Pulls in upstream change to use raw strings for regex
  * Updates to how the package builds, tests, and runs lint
  * Uses PEP 517/518 metadata for build requirements/backend
  * Formatting improvements, including use of isort
* Tue Jan 28 2020 Tomáš Chvátal <tchvatal@suse.com>
- Provide/obsolete diff_match_patch package name as it is not
  matching up the pypi name
* Tue Jan 28 2020 Tomáš Chvátal <tchvatal@suse.com>
- Format with spec-cleaner
- Remove devel dependency
- Run the tests without setuptools
* Sat Jan 25 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- initial package for version 20181111.
- add make-tests-runable.patch to be able to run the tests
